Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPUserProfileModule

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.UserProfileModuleService
              org.jboss.portal.identity.ldap.LDAPUserProfileModule

All Implemented Interfaces:
  UserProfileModule

Direct Known Subclasses:
  LDAPUserProfileModuleImpl

    public abstract class LDAPUserProfileModule

extends UserProfileModuleService

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`profileInfo`

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`LDAPUserProfileModule()`

Method Summary
`protected LDAPConnectionContext` | `getConnectionContext()`
`void` | `setConnectionContext(LDAPConnectionContext connectionContext)`
`void` | `start()`

Methods inherited from class org.jboss.portal.identity.service.UserProfileModuleService
`fireUserProfileChangedEvent, getProfileConfigFile, setProfileConfigFile, setProfileInfo`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.UserProfileModule
`getProfileInfo, getProperties, getProperty, setProperty`

Constructor Detail

### LDAPUserProfileModule

    public LDAPUserProfileModule()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `UserProfileModuleService`
  Throws:
    `java.lang.Exception`

### getConnectionContext

    protected LDAPConnectionContext getConnectionContext()
                                                  throws IdentityException

  Throws:
    `IdentityException`

### setConnectionContext

    public void setConnectionContext(LDAPConnectionContext connectionContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD